﻿#include <iostream>
#include <string>
#include <algorithm>

using namespace std;

string summa(const string& a, const string& b) {
    string r;
    int carry = 0;
    int l = max(a.size(), b.size());

    // Сложение с учетом переноса
    for (int i = 0; i < l || carry; ++i) {
        int digitA = (i < a.size()) ? a[a.size() - 1 - i] - '0' : 0;
        int digitB = (i < b.size()) ? b[b.size() - 1 - i] - '0' : 0;
        int sum = digitA + digitB + carry;
        r.push_back((sum % 10) + '0'); // добавляем последнюю цифру
        carry = sum / 10; // вычисляем перенос
    }

    reverse(r.begin(), r.end()); // переворачиваем результат
    return r;
}

string prodda(const string& a, const string& b) {
    if (a == "0" || b == "0") return "0"; // Умножение на ноль

    string r(a.size() + b.size(), '0');

    // Умножение
    for (int i = a.size() - 1; i >= 0; --i) {
        for (int j = b.size() - 1; j >= 0; --j) {
            int pos = r.size() - 1 - ((a.size() - 1 - i) + (b.size() - 1 - j));
            int product = (a[i] - '0') * (b[j] - '0') + (r[pos] - '0');
            r[pos] = (product % 10) + '0'; // сохраняем последнюю цифру
            r[pos - 1] += product / 10; // добавляем перенос к следующему разряду
        }
    }

    size_t z = r.find_first_not_of('0');
    if (z == string::npos) return "0";

    return r.substr(z);
}

int main() {
    string a, b;
    cin >> a >> b;

    string sum = summa(a, b);
    string prod = prodda(a, b);

    cout << sum << " " << prod << endl;

    return 0;
}
